<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: cas Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>cas Class Reference</h1><!-- doxytag: class="cas" --><!-- doxytag: inherits="ldap" --><div class="dynheader">
Inheritance diagram for cas:</div>
<div class="dynsection">
 <div class="center">
  <img src="classcas.gif" usemap="#cas_map" alt=""/>
  <map id="cas_map" name="cas_map">
<area href="classldap.html" alt="ldap" shape="rect" coords="0,56,90,80"/>
<area href="classauthentication.html" alt="authentication" shape="rect" coords="0,0,90,24"/>
</map>
 </div>
</div>

<p><a href="classcas-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcas.html#aa028961b8b60535c127f7e57bfa437ba">__construct</a> ()</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>This class extends <a class="el" href="classldap.html">ldap</a> class to get information about user with CAS variable.</p>
<p>author: Christophe Lefevre - <a href="mailto:christophe.lefevre@u-psud.fr">christophe.lefevre@u-psud.fr</a> date: 19-05-2009 </p>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa028961b8b60535c127f7e57bfa437ba"></a><!-- doxytag: member="cas::__construct" ref="aa028961b8b60535c127f7e57bfa437ba" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">cas::__construct </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>constructor which call parent constructor and set with right value session_field variable</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>void </dd></dl>

<p>Reimplemented from <a class="el" href="classldap.html#a0f722166dd03a38451c6921e6a21d7f6">ldap</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>D:/web/serveur/dokeos/acces_wims/<a class="el" href="cas_8inc_8php.html">cas.inc.php</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
